gcc -dumpversion error

François Revol revol at free.fr
Thu Oct 4 02:24:13 BST 2018


On Debian Sid here with gcc-8 being the default, I have this error with
the makefile:

expr: syntax error: expecting ')' instead of '6'
expr: syntax error: expecting ')' instead of '1'


This is because gcc -dumpversion returns only "8".

It seems this is expected output, cf.

https://stackoverflow.com/questions/45168516/gcc-7-1-1-on-fedora-26-dumpversion-now-only-includes-major-version-by-default

So it should use -dumpfullversion -dumpversion

(both, as older gcc don't know about the first option.)



More information about the netsurf-dev mailing list